gnutls_pubkey_get_preferred_hash_algorithm(3)

NAME
gnutls_pubkey_get_preferred_hash_algorithm - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_pubkey_get_preferred_hash_algorithm(gnutls_pubkey_t key, gnutls_digest_algorithm_t * hash, unsigned int * mand);

ARGUMENTS

gnutls_pubkey_t key
    Holds the certificate

gnutls_digest_algorithm_t *                                             hash
    The result of the call with the hash algorithm used for signature

unsigned int * mand
    If non zero it means that the algorithm MUST use this hash. May be NULL.

DESCRIPTION
This function will read the certifcate and return the appropriate digest algorithm to use for signing with this certificate. Some certificates (i.e. DSA might not be able to sign without the preferred algorithm).

RETURNS
the 0 if the hash algorithm is found. A negative value is returned on error.

SINCE
2.11.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.